import Vue from 'vue'
import App from './App'
import apis from './configs/http';
import store from './store';
import env from '@/configs/env';
import MyChartsColumn from '@/components/Charts/MyChartsColumn';
import mainStatistics from '@/pages/Charts/mainStatistics';



Vue.config.productionTip = !!env.isProduction;

App.mpType = 'app'

Vue.prototype.$store = store;

const app = new Vue({
	store,
	...App,
});
app.$mount();

Object.keys(apis).forEach(key => {
	Vue.prototype[`$${key}`] = apis[key];
});

Vue.component('MyChartsColumn', MyChartsColumn);
Vue.component('mainStatistics', mainStatistics);